﻿using System.Collections.Generic;
using EnvelopeCreatorProject.DocusignAPI;

namespace EnvelopeCreatorProject.Models.Recipients.RecipientTypeBuilders
{
    internal class SignHereSignerBuilder : SignerRecipientsBuilder
    {
        internal SignHereSignerBuilder(List<Tab> signHereTabs, List<Tab> initialsTabs, List<Tab> dataSignFields)
            : base(signHereTabs, initialsTabs, dataSignFields) { }

        protected override string GetData(Recipient recipient)
        {
            return string.Format("{{{0}email{0}:{0}{1}{0},{0}name{0}:{0}{2}{0},{3},{4},{5}}}",
            "\"",
            recipient.Email,
            recipient.UserName,
            GetRecipientCommonInfo(recipient),
            GetSignatureInfoTo(recipient),
            GetSignTabs(recipient)           
            );
        }

         internal override string GetRecipientsData(){
             return "\"signers\":[" + base.GetRecipientsData() + "]"; 
         }
        
    }
}
